﻿@model IEnumerable<AirlinesWeb.Models.Flight>

@{
    ViewData["Title"] = "View";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<main class="content">
    <button id="scrollToTopBtn">↑</button>
    <div class="title">
        <a asp-area="" asp-controller="Home" asp-action="Index"><img src="~/assets/left sidebar.png" alt=""></a>
        <h2>Flights</h2>
    </div>
    <hr>
    <div class="container">
        <form asp-controller="Flight" asp-action="Search" id="searchForm">
            <input type="text" id="searchInput" name="searchText" placeholder="Search...">
            <select id="filterDropdown" name="filterCriteria">
                <option value="FlightNumber">FlightNumber</option>
                <option value="FromAirportId">FromAirportId</option>
                <option value="ToAirportId">ToAirportId</option>
                <option value="AircraftModelId">AircraftModelId</option>
                <option value="Price">Price</option>
                <option value="Duration">Duration</option>
                <option value="DepartureDatetime">DepartureDatetime</option>
                <option value="ArrivalDatetime">ArrivalDatetime</option>
                <option value="AirlineId">AirlineId</option>
            </select>
            <button id="searchButton" type="submit">Search</button>
        </form>
    </div>
    <div class="table fade-in">
        <table>
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.FlightNumber)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.FromAirportId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ToAirportId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.AircraftModelId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Price)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Duration)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.DepartureDatetime)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ArrivalDatetime)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.AirlineId)
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.FlightNumber)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.FromAirportId)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ToAirportId)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.AircraftModelId)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Price)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Duration)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.DepartureDatetime)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ArrivalDatetime)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.AirlineId)
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
    <div class="showFormButton">
        <button id="showMoreButton">Show more</button>
        <button id="showFormButton">Show Form</button>
    </div>
    <div class="form fade-in" id="formSection">
        <form asp-controller="Flight" asp-action="Create" id="flightForm" method="post">
            <fieldset>
                <legend>Add New Flight</legend>

                <label for="FlightNumber">Flight number:</label>
                <input type="text" id="flight_number" name="FlightNumber" required />
                <span id="flightNumberError" class="error"></span>

                <label for="FromAirportId">From:</label>
                <input type="number" id="from" name="FromAirportId" required />
                <span id="fromAirportIdError" class="error"></span>

                <label for="ToAirportId">To:</label>
                <input type="number" id="to" name="ToAirportId" required />
                <span id="toAirportIdError" class="error"></span>

                <label for="AircraftModelId">Aircraft model id:</label>
                <input type="number" id="aircraft_model_id" name="AircraftModelId" required />
                <span id="aircraftModelIdError" class="error"></span>

                <label for="Price">Price:</label>
                <input type="number" id="price" name="Price" required />
                <span id="priceError" class="error"></span>

                <label for="Duration">Duration:</label>
                <input type="number" id="duration" name="Duration" required />
                <span id="durationError" class="error"></span>

                <label for="DepartureDatetime">Departure datetime:</label>
                <input type="datetime-local" id="departure_datetime" name="DepartureDatetime" required />
                <span id="departureDatetimeError" class="error"></span>

                <label for="ArrivalDatetime">Arrival datetime:</label>
                <input type="datetime-local" id="arrival_datetime" name="ArrivalDatetime" required />
                <span id="arrivalDatetimeError" class="error"></span>

                <label for="AirlineId">Airline id:</label>
                <input type="number" id="airline_id" name="AirlineId" required />
                <span id="airlineIdError" class="error"></span>

                <button type="submit" id="submitButton" disabled >Submit</button>
            </fieldset>
        </form>
    </div>
    <div style="height: 2000px;">Scroll down to see the button in action!</div>
</main>
<script defer src="~/js/validation.js"></script>
<script defer src="~/js/animation.js"></script>